<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006~2018 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------

// var_dump(10);
use think\Route;
// // ################################################################下载################################################################
// // ################################################################下载################################################################

//下载页
Route::any('/download', 'app/download/demo');
// // ################################################################管理后台################################################################
// // ################################################################管理后台################################################################

// 管理后台登录
// 登录页
Route::any('/admin/login', 'admin/login/login');
// 登录动作
Route::post('/admin/login_action', 'admin/login/login_action');
// 管理后台首页
Route::any('/admin/index', 'admin/index/index');
// // Route::get('/admin/welcome', 'admin/index/welcome');
// // // APP账号角色管理
// // // APP账号数据列表
// // Route::get('/admin/member_list', 'admin/member/member_list');
// // Route::get('/admin/user_list', 'admin/member/user_list');



// // ################################################################APP接口################################################################
// // ################################################################APP接口################################################################
// ################################公共接口################################
// 获取记录信息（分组）（包含身体、跳绳、肺活量）、
Route::any('/get_all_record_data_group', 'app/pagingcontrast/get_all_record_data_group');
// 获取记录信息（分页）（包含身体、跳绳、肺活量）
Route::any('/get_all_record_data_page', 'app/pagingcontrast/get_all_record_data_page');
// 获取详细历史数据信息
Route::any('/get_all_record_detailed_information', 'app/pagingcontrast/get_all_record_detailed_information');
// 数据对比
Route::any('/get_all_card_data_contrast', 'app/pagingcontrast/get_all_card_data_contrast');


// ################################登录接口################################
// 注册接口12
Route::any('/register_action', 'app/login/register_action');
// 注册接口
Route::any('/reset_password', 'app/login/reset_password');
// 登录接口
Route::any('/login_action', 'app/login/login_action');
// 手机或者邮箱验证码接口接口
Route::any('/send_phone_email_code', 'app/login/send_phone_email_code');
// ################################APP首页接口################################
// 创建用户
Route::any('/create_user_data', 'app/index/create_user_data');
// 获取账号下用户列表
Route::any('/get_user_card_list', 'app/index/get_user_card_list');
// 获取指定用户详细信息
Route::any('/get_user_data_information', 'app/index/get_user_data_information');
// 获取所有卡片列表信息
Route::any('/get_card_all_list', 'app/index/get_card_all_list');
// 保存用户的卡片排序
Route::any('/save_user_card_order', 'app/index/save_user_card_order');
// 获取年级列表
Route::any('/get_grade_list', 'app/index/get_grade_list');

// ################################身体数据卡片接口################################
// 报告页详情
Route::any('/card_data_detailed', 'app/card/card_data_detailed');
// 手动记录接口
Route::any('/card_manual_recording', 'app/card/card_manual_recording');
// 修改初始体重/目标体重
Route::any('/card_modify_weight', 'app/card/card_modify_weight');

// 获取所有记录接口(分组)
Route::any('/get_card_record_data_group', 'app/card/get_card_record_data_group');
// 获取所有记录接口(分页)
Route::any('/get_card_record_data_page', 'app/card/get_card_record_data_page');
// 删除某个历史数据
Route::any('/card_del_record_data', 'app/card/card_del_record_data');

// 曲线页面图表
Route::any('/card_curve_chart', 'app/card/card_curve_chart');
// 曲线页面底部目标
Route::any('/card_curve_target', 'app/card/card_curve_target');
// 数据对比
Route::any('/card_data_contrast', 'app/card/card_data_contrast');

// ################################跳绳接口################################
// 手动记录
Route::any('/skip_manual_recording', 'app/skip/skip_manual_recording');
// 今日数据
Route::any('/skip_today_data', 'app/skip/skip_today_data');
// 运动曲线
Route::any('/skip_motion_curve', 'app/skip/skip_motion_curve');
// Route::any('/generateRandomJumpData', 'app/skip/generateRandomJumpData');
// ################################肺活量接口################################
// 今日数据
Route::any('/vitalcapacity_data_set', 'app/vitalcapacity/vitalcapacity_data_set');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');
// Route::any('/skip_device_check', 'app/skip/skip_device_check');

// // ################################################################其它测试################################################################
// // ################################################################其它测试################################################################
// Route::any('/generateRandomJumpData', 'app/skip/generateRandomJumpData');
// Route::any('/skip_kcal_calculate', 'app/skip/skip_kcal_calculate');
// Route::any('/readexcel', 'admin/execlaa/readexcel');
// Route::any('/skip_kcal_calculate', 'app/card/skip_kcal_calculate');


// Route::any('/isNumericArray', 'app/base/isNumericArray');

// 处理404错误  z
Route::miss(function(){  
    return '404 Not Found（out）';  
    // 或者你可以重定向到一个错误页面，或者进行其他处理  
});
